fop 1.1

## org.apache.fop.util
Class AbstractPaintingState.StateStack

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector<E>
                  java.util.Stack
                      org.apache.fop.util.AbstractPaintingState.StateStack

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

Enclosing class:
  AbstractPaintingState

    public class AbstractPaintingState.StateStack

extends java.util.Stack

A stack implementation which holds state objects

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`AbstractPaintingState.StateStack()` Default constructor
`AbstractPaintingState.StateStack(java.util.Collection c)` Copy constructor

Method Summary

Methods inherited from class java.util.Stack
`empty, peek, pop, push, search`

Methods inherited from class java.util.Vector

`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### AbstractPaintingState.StateStack

    public AbstractPaintingState.StateStack()

  Default constructor

### AbstractPaintingState.StateStack

    public AbstractPaintingState.StateStack(java.util.Collection c)

  Copy constructor

  Parameters:
    `c` - initial contents of stack

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.